# Configure a default setup of Home Assistant (frontend, api, etc)
default_config:

# Enable SSL/TLS
http:
  server_port: 443
  ssl_certificate: /ssl/fullchain.pem
  ssl_key: /ssl/privkey.pem

# Text to speech
tts:
  - platform: picotts_remote
    language: "de-DE"

# Include modules
group: !include groups.yaml
automation: !include automations.yaml
automation wled:  !include automations_wled.yaml
automation webhooks: !include automations_webhooks.yaml
script: !include scripts.yaml
scene: !include scenes.yaml

# Enable additional integrations
# Enable 'wake_on_lan' intrgration
wake_on_lan:
# Configure LG WebOS TV integration
webostv: !include webostv.yaml

# Enable customizations
homeassistant:
  customize: !include customize.yaml

# Include helpers
input_number: !include input_number.yaml

# Spotify
spotify: !include spotify.yaml

# Additional sensors
sensor: !include sensors.yaml

# Template sensors
template:
  - sensor:
    - name: "Line Power Total"
      unit_of_measurement: "W"
      icon: mdi:flash
      state: >
        {% set phase_a = states('sensor.line_power_channel_a_power') | float %}
        {% set phase_b = states('sensor.line_power_channel_b_power') | float %}
        {% set phase_c = states('sensor.line_power_channel_c_power') | float %}
        {{ (phase_a + phase_b + phase_c) | round(1) }}
  - sensor:
    - name: "Leckstrom"
      unit_of_measurement: "W"
      icon: mdi:flash
      state: >
        {% set total = states('sensor.line_power_total') | float %}
        {% set raumduft = states('sensor.flur_raumduft_power') | float %}
        {% set keller = states('sensor.keller_power') | float %}
        {% set anrichte = states('sensor.kuche_anrichte_power') | float %}
        {% set musik = states('sensor.kuche_musik_power') | float %}
        {% set bett = states('sensor.schlafzimmer_bett_power') | float %}
        {% set heimkino_sz = states('sensor.schlafzimmer_heimkino_power') | float %}
        {% set deko = states('sensor.schreibtisch_deko_power') | float %}
        {% set schreibtisch = states('sensor.schreibtisch_power') | float %}
        {% set serverraum = states('sensor.serverraum_power') | float %}
        {% set heimkino_wz = states('sensor.wohnzimmer_heimkino_power') | float %}
        {% set spieleschrank = states('sensor.wohnzimmer_spieleschrank_power') | float %}
        {{ (total - raumduft - keller - musik - bett - heimkino_sz - deko - schreibtisch - serverraum - heimkino_wz - spieleschrank) | round(1) }}

# calendar integration
calendar: !include calendars.yaml

# DB-recorder configuration
recorder: !include recorder.yaml

# Bluetooth Low Energy tracker
device_tracker:
  - platform: bluetooth_le_tracker
    # track_new_devices: true

# Configure MPD addon as media player
media_player:
    platform: mpd
    host: 192.168.122.48
    scan_interval: 1
